﻿using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using WordXmlMapSample.Data.Entities;

namespace WordXmlMapSample.Data.Configurations
{
    public class WordTemplateConfiguration : IEntityTypeConfiguration<WordTemplate>
    {
        public void Configure(EntityTypeBuilder<WordTemplate> builder)
        {
            builder.HasKey(k => k.Id);

            builder.Property(p => p.Name)
                .HasMaxLength(100);
        }
    }
}
