using Microsoft.EntityFrameworkCore;
using WordXmlMapSample.Data;

namespace WordXmlMapSample
{
    internal static class Program
    {
        /// <summary>
        ///  The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            // To customize application configuration such as set high DPI settings or default font,
            // see https://aka.ms/applicationconfiguration.
            ApplicationConfiguration.Initialize();

            using var context = new ApplicationDbContext();
            context.Database.EnsureCreated();

#if DEBUG
            if (!context.Customers.Any())
            {
                context.Customers.Add(new() { Name = "Marcel D'Avis", Address = "Musterstr. 1", PostCode = "12345", City = "Berlin" });
                context.SaveChanges();
            }
#endif

            Application.Run(new Form1());
        }
    }
}